Skip to main content
`Ctrl`+`K`

# PetscHTTPSRequest

Send a request to an HTTPS server

## Synopsis

    PetscErrorCode PetscHTTPSRequest(const char type[], const char url[], const char header[], const char ctype[], const char body[], SSL *ssl, char buff[], size_t buffsize)

## Input Parameters

- type - either “POST” or “GET”

- url - URL of request host/path

- header - additional header information, may be `NULL`

- ctype - data type of body, for example application/json

- body - data to send to server

- ssl - obtained with `PetscHTTPSConnect()`

- buffsize - size of buffer

## Output Parameter

- buff - everything returned from server

## See Also

`PetscHTTPRequest()`, `PetscHTTPSConnect()`, `PetscSSLInitializeContext()`, `PetscSSLDestroyContext()`, `PetscPullJSONValue()`

## Level

advanced

## Location

src/sys/webclient/client.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages